List versions
curl --request GET \
--url https://api.paygentic.io/v0/plans/{id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/plans/{id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/plans/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "plan_version",
"versionNumber": 2,
"isDefault": true,
"subscriptionCount": 1,
"publishedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Plans
List versions
List the versions of a plan, newest first. Only accounts that can manage this plan may list its versions; versions can expose in-progress pricing, so read-only access is not sufficient.
GET
/
v0
/
plans
/
{id}
/
versions
List versions
Authorizations
API key authentication
Path Parameters
Unique identifier for a plan
Pattern:
^plan_[a-zA-Z0-9]+$Query Parameters
Maximum number of versions to return
Required range:
1 <= x <= 100Number of versions to skip
Required range:
x >= 0Was this page helpful?
⌘I